shuffle(1)

NAME
shuffle - randomly reorder lines in a file

SYNOPSIS
shuffle [ infile [ outfile ] ]

DESCRIPTION
shuffle reads infile into memory, shuffles the lines, and writes the result to outfile.

OPTIONS
None.

OPERANDS
The following operands are supported:

infile
    A path name of an input file. If no infile is specified, or if infile is equal to "-", the standard input is used.

outfile
    A path name of an output file. If no outfile is specified, or if outfile is equal to "-", the standard output is used.

NOTES
Since shuffle reads the input into memory, it may fail on very large files.